Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrBackground Class Reference

A PangoAttrBackground C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrBackground:

List of all members.

## Public Member Functions

Constructors

- AttrBackground (unsigned short red, unsigned short green, unsigned short blue)
    Construct a new background color attribute.

## Detailed Description

A PangoAttrBackground C++ wrapper class.

AttrBackground wraps the background color attribute (ATTR_FOREGROUND).

## Constructor & Destructor Documentation

Inti::Pango::AttrBackground::AttrBackground | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) |

  | Construct a new background color attribute. Parameters:
  red | The red value (ranging from 0 to 65535).
  green | The green value.
  blue | The blue value.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer